part of 'verify_form_bloc.dart';

@freezed
class VerifyFormState with _$VerifyFormState {
  const factory VerifyFormState({
    required String registrationToken,
    required String otpCode,
    required Option<Either<AuthFailure, Verify>> failureOrVerifyOption,
    @Default(false) bool isSubmitting,
    @Default(false) bool showErrorMessages,
  }) = _VerifyFormState;

  factory VerifyFormState.initial() => VerifyFormState(
    registrationToken: '',
    otpCode: '',
    failureOrVerifyOption: none(),
  );
}
